Bug 144783 - SHIFT+ENTER doesn't search anymore on find bar (GTK3)
Summary: SHIFT+ENTER doesn't search anymore on find bar (GTK3)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.1.1 rc
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0 target:7.2.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-09-29 06:19 UTC by Gabriele Ponzo
Modified: 2021-10-01 17:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriele Ponzo 2021-09-29 06:19:38 UTC
Description:
Opening the find bar (CTRL + F) it was possible to let it search forward hitting ENTER and backwards hitting SHIFT+ENTER. It doesn't behave this way anymore.

Steps to Reproduce:
1. Open Writer;
2. type "lorem" (without the quotation marks) and hit F3;
3. now hit CTRL+F;
4. type "eros" in the search field;
5. hit SHIFT+ENTER.

Actual Results:
Nothing happens.

Expected Results:
Should have searched backwards (and found the last occurrence of that word).


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.1.2 / LibreOffice Community
Build ID: 20(Build:2)
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: it-IT (it_IT.UTF-8); UI: en-GB
Ubuntu package version: 1:7.2.1~rc2-0ubuntu0.20.04.1~lo3
Calc: threaded
Comment 1 Xisco Faulí 2021-09-29 10:14:23 UTC
Not reproducible in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: ac34bafb6cad056f843ff3ff0dee293bf1e18c56
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded Jumbo
Comment 2 Xisco Faulí 2021-09-29 10:15:26 UTC
but reproducible in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: ac34bafb6cad056f843ff3ff0dee293bf1e18c56
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

thus, GTK3 only
Comment 3 Xisco Faulí 2021-09-29 10:24:31 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c90792cf4309557981d1f89febeff9157fd93b0c

author	Caolán McNamara <caolanm@redhat.com>	2021-04-30 12:29:45 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2021-04-30 16:17:32 +0200
commit	c90792cf4309557981d1f89febeff9157fd93b0c (patch)
tree	48c778c6deb7e2b059804040a75d167eeffcf8fb
parent	857caa5fc69b92e781457a1b67a89aa051c2d70f (diff)
Related: tdf#138281 move grab_focus to ActivateFind

Bisected with: bibisect-linux64-7.2

Adding Cc: to Caolán McNamara
Comment 4 Commit Notification 2021-09-29 13:03:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e9564f1d727e89e8ab7c441a80a3944de10b3d3d

Resolves: tdf#144783 shift+RETURN not searching backwards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2021-09-29 13:03:52 UTC
done in trunk, backport to 7-2 in gerrit
Comment 6 Commit Notification 2021-09-29 13:46:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/fdfa78e4c9f6087f38720c60373548f0a6481563

Resolves: tdf#144783 shift+RETURN not searching backwards

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-09-30 09:14:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-2":

https://git.libreoffice.org/core/commit/a701a3837676cd8cf80e6b1c4a38fa5b5a9701d1

Resolves: tdf#144783 shift+RETURN not searching backwards

It will be available in 7.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.